Integrations
Update integration
Update a Link integration.
PATCH
/
api
/
admin
/
integrations
/
{id}
Update integration
curl --request PATCH \
--url https://{instance}.{env}.on-hellgate.cloud/api/admin/integrations/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"base_url": "<string>",
"description": "<string>",
"enabled": true,
"name": "<string>",
"timeout_ms": 123
}
'import requests
url = "https://{instance}.{env}.on-hellgate.cloud/api/admin/integrations/{id}"
payload = {
"base_url": "<string>",
"description": "<string>",
"enabled": True,
"name": "<string>",
"timeout_ms": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
base_url: '<string>',
description: '<string>',
enabled: true,
name: '<string>',
timeout_ms: 123
})
};
fetch('https://{instance}.{env}.on-hellgate.cloud/api/admin/integrations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"base_url": "http://link:4000",
"description": "<string>",
"enabled": true,
"inserted_at": "2023-11-07T05:31:56Z",
"name": "Link Production",
"slug": "link-prod",
"timeout_ms": 5000,
"type": "link",
"updated_at": "2023-11-07T05:31:56Z"
}{
"classifier": "NOT_FOUND",
"code": 404,
"message": "The requested resource does not exist"
}{
"classifier": "NOT_FOUND",
"code": 404,
"message": "The requested resource does not exist"
}{
"classifier": "NOT_FOUND",
"code": 404,
"message": "The requested resource does not exist"
}{
"classifier": "VALIDATION_ERROR",
"code": 422,
"validation_errors": [
{
"message": "must be a positive integer",
"path": "limit"
}
]
}Authorizations
HS256-signed JWT bearer token, obtained via the OAuth2 client-credentials grant (see Authentication).
Path Parameters
Body
application/json
Update attributes
Response
Updated integration
Previous
Delete integrationRemove a Link integration and the backends it exposed to your rulesets.
Next
⌘I
Update integration
